=== debian/changelog ===
sparse (0.6.1-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:15:36 +0100

sparse (0.6.1-2) unstable; urgency=medium

  * Cherry-pick commit from upstream to fix test failures on powerpc and
    mipsel.

 -- Uwe Kleine-König <ukleinek@debian.org>  Thu, 07 Nov 2019 08:37:27 +0100

sparse (0.6.1-1) unstable; urgency=medium

  * New upstream version
    - Several patches are included upstream and were dropped accordingly
      - dd98d9f9bbca ("machine.h: Fix MACH_NATIVE on m68k")
      - 36a74d33c664 ("Makefile: default to LD = CC")
      - a14a1c32f10e ("testsuite: remove unneeded -m64 from command-line")
      - e7a833f32307 ("lib.c: move predefines out of
                       handle_arch_m64_finalize()")
      - 2889393c78c5 ("lib.c: move handle_arch_m64_finalize() to init_target()")
      - 3b246718ea33 ("target.c: ignore -m64 on archs where int32_t is a long")
      - e6e60e370f43 ("predefs: fix for MIPS system headers needing
                       _MIPS_SZ{INT,LONG,PTR}")
      - 949a29adb9f4 ("predefs: add arch-specific predefines")
      - 950e23d1a5af ("cgcc: teach cgcc about Hurd/GNU")
      - 4ba10f29f542 ("validation: Add patterns FAIL, PASS, XPASS and XFAIL to
                       test")
      - b40a6cb5d68b ("fix parallel install")
      - f21358ee7ee7 ("build: honor CFLAGS & friends from environment")
    - Refresh remaining patches
  * Switch to gcc-9 (Closes: #944173)

 -- Uwe Kleine-König <ukleinek@debian.org>  Tue, 05 Nov 2019 21:42:00 +0100
