=== debian/control ===
Source: sparse
Maintainer: Uwe Kleine-König <ukleinek@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 12),
               gcc-9,
               libxml2-dev,
               libgtk2.0-dev,
               llvm-dev (>= 1:3.0~) [amd64 i386],
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/ukleinek/sparse.git
Vcs-Browser: https://salsa.debian.org/ukleinek/sparse
Homepage: https://sparse.wiki.kernel.org/
Rules-Requires-Root: no

Package: sparse
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, gcc-9
Suggests: sparse-test-inspect
Description: semantic parser of source files
 Sparse, the semantic parser, provides a compiler frontend capable of
 parsing most of ANSI C as well as many GCC extensions, and a collection
 of sample compiler backends, including a static analyzer also called
 "sparse". Sparse provides a set of annotations designed to convey
 semantic information about types, such as what address space pointers
 point to, or what locks a function acquires or releases.
 .
 Sparse can be invoked directly as "sparse" or via the "cgcc" wrapper
 around the C compiler.

Package: sparse-test-inspect
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: sparse (<< 0.5.0-2)
Replaces: sparse (<< 0.5.0-2)
Description: semantic parser of source files
 Sparse, the semantic parser, provides a compiler frontend capable of
 parsing most of ANSI C as well as many GCC extensions, and a collection
 of sample compiler backends, including a static analyzer also called
 "sparse". Sparse provides a set of annotations designed to convey
 semantic information about types, such as what address space pointers
 point to, or what locks a function acquires or releases.
 .
 This package contains the test-inspect program.
