=== debian/changelog ===
sparse (0.6.2-2) unstable; urgency=medium

  * Cherry pick patches from upstream to fix various warnings:
    - cc651aa7b6a0 ("gensel: remove unneeded test/uninitialized warning")
    - eb6779f6f621 ("generic: fix missing inlining of generic expression")
    - 5bbebae38be8 ("fix build on Hurd which doesn't define PATH_MAX")
  * Drop installing sindex which conflicts with biosquid (Closes: #966706)
  * Switch to gtk-3

 -- Uwe Kleine-König <ukleinek@debian.org>  Mon, 03 Aug 2020 21:30:52 +0200

sparse (0.6.2-1) unstable; urgency=medium

  * New upstream version
    Patch "arch: change the arch when changing -m32/64" dropped as this was
    cherry picked from upstream for 0.6.1-2.
  * Switch to debhelper 13
  * Standards-Version: 4.5 (no changes needed)

 -- Uwe Kleine-König <ukleinek@debian.org>  Fri, 31 Jul 2020 23:46:30 +0200
