=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Maintainer: Uwe Kleine-König <ukleinek@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
                gcc-9,
                libxml2-dev,
-               libgtk2.0-dev,
+               libgtk-3-dev,
                llvm-dev (>= 1:3.0~) [amd64 i386],
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/ukleinek/sparse.git
 Vcs-Browser: https://salsa.debian.org/ukleinek/sparse
 Homepage: https://sparse.wiki.kernel.org/
