=== debian/changelog ===
sparse (0.6.3-2) unstable; urgency=high

  * Update runtime dependency to gcc-10. (Closes: #982416)
    Thanks to Andrian Bunk for noticing that.

 -- Uwe Kleine-König <ukleinek@debian.org>  Thu, 11 Feb 2021 21:28:50 +0100

sparse (0.6.3-1) unstable; urgency=medium

  * New upstream release
    - all three patches originating from upstream can be dropped as they are
      included in this release.
    - sindex was renamed to semind, so it can be included again (see #966706),
      this adds libsqlite3 to the list of dependencies.
  * Cherry-pick commit to fix crash with llvm11 from upstream.
  * Switch to gcc-10

 -- Uwe Kleine-König <ukleinek@debian.org>  Sun, 08 Nov 2020 22:11:01 +0100
