=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Section: devel
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               gcc-9,
+               gcc-10,
+               libsqlite3-dev,
                libxml2-dev,
                libgtk-3-dev,
                llvm-dev (>= 1:3.0~) [amd64 i386],
@@ -15,7 +16,7 @@
 
 Package: sparse
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, gcc-9
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, gcc-10
 Suggests: sparse-test-inspect
 Description: semantic parser of source files
  Sparse, the semantic parser, provides a compiler frontend capable of
