=== debian/changelog ===
sparse (0.6.4-5ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - d/rules: enable llvm build.
    - d/p/llvm-15-*: add LLVM 15 support upstream patches
      (launchpad bug 2009524).
  * Dropped changes, included in Debian:
    - d/p/linearize-fix-buffer-overrun.patch: add upstream patch to
      fix buffer overrun warning (LP: #2055113).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 19 Feb 2025 22:16:01 -0600

sparse (0.6.4-5) unstable; urgency=medium

  [ Diederik de Haas ]
  * Switch to gcc-14 (Closes: #1090950)
  * Bump Standards-Version to 4.7.0 (no changes required)
  * Cherry pick upstream commit to fix buffer overrun (Closes: #1065020)

 -- Uwe Kleine-König <ukleinek@debian.org>  Sat, 21 Dec 2024 09:27:30 +0100

sparse (0.6.4-4ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2054991).
  * Dropped Changes:
    - debian/patches/support-llvm-15.patch: fix LLVM 15 warnings,
      update call generation (launchpad bug 2009524).
  * New Changes:
    - d/rules: enable llvm build.
    - d/p/llvm-15-*: add LLVM 15 support upstream patches
      (launchpad bug 2009524).
    - d/p/linearize-fix-buffer-overrun.patch: add upstream patch to
      fix buffer overrun warning (LP: #2055113).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 27 Feb 2024 17:30:03 +1300

sparse (0.6.4-4) unstable; urgency=medium

  * Disable llvm support as it fails to compile with llvm >= 16 (Closes:
    #1051864)
  * Switch to gcc-13
  * Bump Standards-Version (no changes required)

 -- Uwe Kleine-König <ukleinek@debian.org>  Sun, 24 Sep 2023 00:46:14 +0200

sparse (0.6.4-3ubuntu1) lunar; urgency=medium

  * debian/patches/support-llvm-15.patch: fix LLVM 15 warnings, update call
    generation (LP: #2009524).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 07 Mar 2023 08:08:17 +1300

sparse (0.6.4-3) unstable; urgency=medium

  * Switch to gcc-12
  * Cherry pick commit from upstream to fix "unreplaced" warnings
  * Bump Standards-Version (no changes required)

 -- Uwe Kleine-König <ukleinek@debian.org>  Mon, 12 Sep 2022 10:08:08 +0200

sparse (0.6.4-2) unstable; urgency=medium

  * Switch to gcc-11 (Closes: #1008580)

 -- Uwe Kleine-König <ukleinek@debian.org>  Wed, 30 Mar 2022 10:20:07 +0200

sparse (0.6.4-1) unstable; urgency=medium

  * New upstream release
    One fix that was cherry picked from upstream for 0.6.3-1 could be dropped.
  * Bump Standards-Version (no changes required)

 -- Uwe Kleine-König <ukleinek@debian.org>  Mon, 27 Sep 2021 22:22:58 +0200
