=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: sparse
-Maintainer: Uwe Kleine-König <ukleinek@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Uwe Kleine-König <ukleinek@debian.org>
 Section: devel
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               gcc-10,
+               gcc-14,
                libsqlite3-dev,
                libxml2-dev,
                libgtk-3-dev,
-               llvm-dev (>= 1:3.0~) [amd64 i386],
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/ukleinek/sparse.git
 Vcs-Browser: https://salsa.debian.org/ukleinek/sparse
 Homepage: https://sparse.wiki.kernel.org/
@@ -16,7 +16,7 @@
 
 Package: sparse
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, gcc-10
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, gcc-14
 Suggests: sparse-test-inspect
 Description: semantic parser of source files
  Sparse, the semantic parser, provides a compiler frontend capable of
