## sparse 0.6.5~rc1

=== Makefile ===
--- 
+++ 
@@ -200,7 +200,7 @@
 ifeq (${MULTIARCH_TRIPLET},x86_64-linux-gnux32)
 arch := x32
 endif
-ifneq ($(filter ${arch},i386 i486 i586 i686 x86_64 amd64),)
+ifneq ($(filter ${arch},i386 i486 i586 i686 x86_64 amd64 aarch64 arm64),)
 LLVM_VERSION:=$(shell $(LLVM_CONFIG) --version)
 LLVM_VERSION_MAJOR:=$(firstword $(subst ., ,$(LLVM_VERSION)))
 ifeq ($(shell expr "$(LLVM_VERSION_MAJOR)" '>=' 3),1)
@@ -216,6 +216,9 @@
 sparse-llvm-cflags := $(LLVM_CFLAGS)
 sparse-llvm-ldflags := $(LLVM_LDFLAGS)
 sparse-llvm-ldlibs := $(LLVM_LIBS)
+ifeq ($(LLVM_VERSION_MAJOR),14)
+sparse-llvm-cflags += -Wno-deprecated-declarations
+endif
 else
 $(warning LLVM 3.0 or later required. Your system has version $(LLVM_VERSION) installed.)
 endif
