=== debian/changelog ===
sparse (0.6.5~rc1-1) unstable; urgency=medium

  * Switch to gcc-15 (Closes: #1129515)
  * New upstream release candidate (Closes: #1129551)
  * Bump Standards-Version to 4.7.3
    - Drop Priority field for source package

 -- Uwe Kleine-König <ukleinek@debian.org>  Tue, 03 Mar 2026 10:17:53 +0100
