=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: sparse
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Uwe Kleine-König <ukleinek@debian.org>
+Maintainer: Uwe Kleine-König <ukleinek@debian.org>
 Section: devel
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               gcc-14,
+               gcc-15,
                libsqlite3-dev,
                libxml2-dev,
                libgtk-3-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/ukleinek/sparse.git
 Vcs-Browser: https://salsa.debian.org/ukleinek/sparse
 Homepage: https://sparse.wiki.kernel.org/
@@ -16,7 +14,7 @@
 
 Package: sparse
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, gcc-14
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, gcc-15
 Suggests: sparse-test-inspect
 Description: semantic parser of source files
  Sparse, the semantic parser, provides a compiler frontend capable of
